VOP_ABORTOP(9)

NAME
VOP_ABORTOP - abort a directory operation

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_ABORTOP(struct vnode *dvp, struct componentname *cnp);

DESCRIPTION
This is called after namei(9) when a CREATE / DELETE isn't actually done. If a buffer has been saved in anticipation of a CREATE, delete it.

dvp the vnode of the directory

cnp pathname information for the aborted operation

PSEUDOCODE

    int
    vop_abortop(struct vnode *dvp, struct componentname *cnp)
    {
        if ((cnp->cn_flags & (HASBUF | SAVESTART)) == HASBUF)
    	free(cnp->cn_pnbuf, M_NAMEI);
        return 0;
    }

SEE ALSO
vnode(9)

AUTHORS
This man page was written by Doug Rabson.